import axios from '@/utils/request';
import { getIds } from '@/utils/common';

const host = `http://192.168.31.51:9000`;

export const accessStrategyGovernmentBlacklistList = async (data: Record<string, any>): Promise<any> =>
  (
    await axios.post(`/product/accessStrategyGovernmentBlacklist/list`, {
      ...getIds(),
      ...data,
    })
  ).data;
export const accessStrategyGovernmentBlacklistFind = async (params: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/accessStrategyGovernmentBlacklist/details`, {}, { params })).data;
export const accessStrategyGovernmentBlacklistSave = async (data: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/accessStrategyGovernmentBlacklist/saveOrUpdate`, data)).data;
export const accessStrategyGovernmentBlacklistDel = async (data: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/accessStrategyGovernmentBlacklist/delete`, data)).data;

export const accessStrategyEnterpriseBlacklist = async (data: Record<string, any>): Promise<any> =>
  (
    await axios.post(`/product/accessStrategyEnterpriseBlacklist/list`, {
      ...getIds(),
      ...data,
    })
  ).data;
export const accessStrategyEnterpriseBlacklistFind = async (params: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/accessStrategyEnterpriseBlacklist/details`, {}, { params })).data;
export const accessStrategyEnterpriseBlacklistSave = async (data: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/accessStrategyEnterpriseBlacklist/saveOrUpdate`, data)).data;
export const accessStrategyEnterpriseBlacklistDel = async (data: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/accessStrategyEnterpriseBlacklist/delete`, data)).data;

export const accessStrategyAntiFraudStrategy = async (data: Record<string, any>): Promise<any> =>
  (
    await axios.post(`/product/accessStrategyAntiFraudStrategy/list`, {
      ...getIds(),
      ...data,
    })
  ).data;
export const accessStrategyAntiFraudStrategyFind = async (params: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/accessStrategyAntiFraudStrategy/details`, {}, { params })).data;
export const accessStrategyAntiFraudStrategySave = async (data: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/accessStrategyAntiFraudStrategy/saveOrUpdate`, data)).data;
export const accessStrategyAntiFraudStrategyDel = async (data: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/accessStrategyAntiFraudStrategy/delete`, data)).data;

export const accessStrategyBusinessBlacklist = async (data: Record<string, any>): Promise<any> =>
  (
    await axios.post(`/product/accessStrategyBusinessBlacklist/list`, {
      ...getIds(),
      ...data,
    })
  ).data;
export const accessStrategyBusinessBlacklistFind = async (params: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/accessStrategyBusinessBlacklist/details`, {}, { params })).data;
export const accessStrategyBusinessBlacklistSave = async (data: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/accessStrategyBusinessBlacklist/saveOrUpdate`, data)).data;
export const accessStrategyBusinessBlacklistDel = async (data: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/accessStrategyBusinessBlacklist/delete`, data)).data;

export const accessStrategyCreditBlacklist = async (data: Record<string, any>): Promise<any> =>
  (
    await axios.post(`/product/accessStrategyCreditBlacklist/list`, {
      ...getIds(),
      ...data,
    })
  ).data;
export const accessStrategyCreditBlacklistFind = async (params: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/accessStrategyCreditBlacklist/details`, {}, { params })).data;
export const accessStrategyCreditBlacklistSave = async (data: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/accessStrategyCreditBlacklist/saveOrUpdate`, data)).data;
export const accessStrategyCreditBlacklistDel = async (data: Record<string, any>): Promise<any> => (await axios.post(`/product/accessStrategyCreditBlacklist/delete`, data)).data;

export const accessStrategyInlineBlacklist = async (data: Record<string, any>): Promise<any> =>
  (
    await axios.post(`/product/accessStrategyInlineBlacklist/list`, {
      ...getIds(),
      ...data,
    })
  ).data;
export const accessStrategyInlineBlacklistFind = async (params: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/accessStrategyInlineBlacklist/details`, {}, { params })).data;
export const accessStrategyInlineBlacklistSave = async (data: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/accessStrategyInlineBlacklist/saveOrUpdate`, data)).data;
export const accessStrategyInlineBlacklistDel = async (data: Record<string, any>): Promise<any> => (await axios.post(`/product/accessStrategyInlineBlacklist/delete`, data)).data;

export const accessStrategyNegativeIndustryStrategy = async (data: Record<string, any>): Promise<any> =>
  (
    await axios.post(`/product/accessStrategyNegativeIndustryStrategy/list`, {
      ...getIds(),
      ...data,
    })
  ).data;
export const accessStrategyNegativeIndustryStrategyFind = async (params: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/accessStrategyNegativeIndustryStrategy/details`, {}, { params })).data;
export const accessStrategyNegativeIndustryStrategySave = async (data: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/accessStrategyNegativeIndustryStrategy/saveOrUpdate`, data)).data;
export const accessStrategyNegativeIndustryStrategyDel = async (data: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/accessStrategyNegativeIndustryStrategy/delete`, data)).data;

export const delCredit = async (data: Record<string, any>): Promise<any> => (await axios.post(`/product/creditScoringStrategy/delete`, data)).data;
export const findCredit = async (id: number): Promise<any> => (await axios.post(`/product/creditScoringStrategy/details?strategyId=${id}`)).data;
export const listCredit = async (data: Record<string, any>): Promise<any> =>
  (
    await axios.post(`/product/creditScoringStrategy/list`, {
      ...data,
      ...getIds(),
    })
  ).data;
export const saveCredit = async (data: Record<string, any>): Promise<any> => (await axios.post(`/product/creditScoringStrategy/saveOrUpdate`, data)).data;

export const detailRick = async (type: number): Promise<any> =>
  (
    await axios.post(`/product/riskDegreeStrategy/details`, {
      ...getIds(),
      type,
    })
  ).data;
export const saveRick = async (data: Record<string, any>): Promise<any> => (await axios.post(`/product/riskDegreeStrategy/saveOrUpdate`, data)).data;

export const interestRateModelList = async (data: Record<string, any>): Promise<any> =>
  (
    await axios.post(`/product/interestRateModel/list`, {
      ...getIds(),
      ...data,
    })
  ).data;
export const businessInterestRateDetails = async (params: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/interestRateModel/businessInterestRateDetails`, {}, { params })).data;
export const businessInterestRateSaveOrUpdate = async (data: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/interestRateModel/businessInterestRateSaveOrUpdate`, data)).data;
export const personalInterestRateDetails = async (params: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/interestRateModel/personalInterestRateDetails`, {}, { params })).data;
export const personalInterestRateSaveOrUpdate = async (data: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/interestRateModel/personalInterestRateSaveOrUpdate`, data)).data;
export const deleteBusinessInterestRate = async (data: Record<string, any>): Promise<any> => (await axios.post(`/product/interestRateModel/deleteBusinessInterestRate`, data)).data;
export const deletePersonalInterestRate = async (data: Record<string, any>): Promise<any> => (await axios.post(`/product/interestRateModel/deletePersonalInterestRate`, data)).data;

export const quotaModelList = async (data: Record<string, any>): Promise<any> =>
  (
    await axios.post(`/product/quotaModel/list`, {
      ...getIds(),
      ...data,
    })
  ).data;
export const quotaModelDel = async (data: Record<string, any>): Promise<any> => (await axios.post(`/product/quotaModel/delete`, data)).data;
export const businessQuotaModelDetails = async (): Promise<any> => (await axios.post(`/product/quotaModel/businessQuotaModelDetails`, getIds())).data;
export const businessQuotaModelSaveOrUpdate = async (data: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/quotaModel/businessQuotaModelSaveOrUpdate`, data)).data;
export const personalCreditModelDetails = async (params: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/quotaModel/personalCreditModelDetails`, {}, { params })).data;
export const personalCreditModelSaveOrUpdate = async (data: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/quotaModel/personalCreditModelSaveOrUpdate`, data)).data;

export const fiveLevelClassification = async (data: Record<string, any>): Promise<any> =>
  (
    await axios.post(`/product/fiveLevelClassification/list`, {
      ...getIds(),
      ...data,
    })
  ).data;
export const fiveLevelClassificationDetails = async (params: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/fiveLevelClassification/details`, {}, { params })).data;
export const fiveLevelClassificationSave = async (data: Record<string, any>): Promise<any> => (await axios.post(`/product/fiveLevelClassification/saveOrUpdate`, data)).data;
export const fiveLevelClassificationDel = async (data: Record<string, any>): Promise<any> => (await axios.post(`/product/fiveLevelClassification/delete`, data)).data;

export const postLoanInspection = async (data: Record<string, any>): Promise<any> =>
  (
    await axios.post(`/product/postLoanInspection/list`, {
      ...getIds(),
      ...data,
    })
  ).data;
export const postLoanInspectionDetails = async (params: Record<string, any>): Promise<any> => (await axios.post(`/product/postLoanInspection/details`, {}, { params })).data;
export const postLoanInspectionSave = async (data: Record<string, any>): Promise<any> => (await axios.post(`/product/postLoanInspection/saveOrUpdate`, data)).data;
export const postLoanInspectionDel = async (data: Record<string, any>): Promise<any> => (await axios.post(`/product/postLoanInspection/delete`, data)).data;

export const postCreditScore = async (data: Record<string, any>): Promise<any> =>
  (
    await axios.post(`/product/postCreditScore/list`, {
      ...getIds(),
      ...data,
    })
  ).data;
export const postCreditScoreDetails = async (params: Record<string, any>): Promise<any> => (await axios.post(`/product/postCreditScore/details`, {}, { params })).data;
export const postCreditScoreSave = async (data: Record<string, any>): Promise<any> => (await axios.post(`/product/postCreditScore/saveOrUpdate`, data)).data;
export const postCreditScoreDel = async (data: Record<string, any>): Promise<any> => (await axios.post(`/product/postCreditScore/delete`, data)).data;

export const postLoanWarning = async (data: Record<string, any>): Promise<any> =>
  (
    await axios.post(`/product/postLoanWarning/list`, {
      ...getIds(),
      ...data,
    })
  ).data;
export const postLoanWarningDetails = async (params: Record<string, any>): Promise<any> => (await axios.post(`/product/postLoanWarning/details`, {}, { params })).data;
export const postLoanWarningSave = async (data: Record<string, any>): Promise<any> => (await axios.post(`/product/postLoanWarning/saveOrUpdate`, data)).data;
export const postLoanWarningDel = async (data: Record<string, any>): Promise<any> => (await axios.post(`/product/postLoanWarning/delete`, data)).data;

export const collectionAfterLoan = async (data: Record<string, any>): Promise<any> =>
  (
    await axios.post(`/product/collectionAfterLoan/list`, {
      ...getIds(),
      ...data,
    })
  ).data;
export const collectionAfterLoanDetails = async (params: Record<string, any>): Promise<any> => (await axios.post(`/product/collectionAfterLoan/details`, {}, { params })).data;
export const collectionAfterLoanSave = async (data: Record<string, any>): Promise<any> => (await axios.post(`/product/collectionAfterLoan/saveOrUpdate`, data)).data;
export const collectionAfterLoanDel = async (data: Record<string, any>): Promise<any> => (await axios.post(`/product/collectionAfterLoan/delete`, data)).data;

export const isTheStrategyRelatedToTheProduct = async (data: Record<string, any>): Promise<any> =>
  (await axios.post(`/product/managerOfRiskControl/bankRiskControlAllocation/isTheStrategyRelatedToTheProduct`, data)).data;
