import { reactive, readonly } from 'vue';
import { statistics } from '@/api/bank';
import Cookies from 'js-cookie';

export interface Product {
  status?: Record<string, any>;
  stat1?: number | string;
  stat2?: number | string;
}

const state = reactive<Product>({
  // 产品进度
  status: [
    {
      id: '',
      name: '产品进度',
    },
    {
      id: 295,
      name: '配置风控',
    },
    {
      id: 296,
      name: '待审批',
    },
    {
      id: 297,
      name: '审批通过',
    },
    {
      id: 298,
      name: '审批不通过',
    },
    {
      id: 299,
      name: '审批打回',
    },
  ],
  // 左侧菜单项的右上角badge统计
  stat1: '',
  stat2: '',
});

export const productState = state;
// 专家委员会产品进度（去除配置风控）
export const getExpertStatus = (): Record<string, any>[] => {
  const newStatus = JSON.parse(JSON.stringify(state.status));
  newStatus.splice(1, 1);
  return newStatus;
};
// 返回产品进度名称
export const getStatus = (id: number | string): string => {
  return state.status.find((e) => e.id === id)?.name;
};
// 获取产品数量
export const getStat = async (status?: number, type?: number): Promise<void> => {
  const { data } = await statistics({
    checkpointId: Cookies.get('sand-level'),
    projectId: Cookies.get('sand-projectId'),
    status,
    productType: type,
  });
  if (type === 1) {
    // 产品经理-企业
    state.stat2 = data || '';
  } else {
    state.stat1 = data || '';
  }
};
